ApiUsers
Delete a user
Permanently delete a user account and all associated data. Requires email confirmation for safety. Cannot delete yourself or users above your role level. Requires ADMIN or OWNER role.
Authorization
User API Key AuthorizationBearer <token>
User API key (mgw_usr_live_* or mgw_usr_test_*)
In: header
Path Parameters
user_id*string
Format
uuidCookie Parameters
access_token?|
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
confirm_email*string
Enter the user's email to confirm deletion
Response Body
application/json
curl -X DELETE "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "confirm_email": "string" }'Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}